## libtifiles 1.1.1

=== build/mingw/Makefile ===
# Makefile.in generated by automake 1.10 from Makefile.am.
# build/mingw/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




pkgdatadir = $(datadir)/libtifiles2
pkglibdir = $(libdir)/libtifiles2
pkgincludedir = $(includedir)/libtifiles2
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
subdir = build/mingw
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
SOURCES =
DIST_SOURCES =
DATA = $(noinst_DATA)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /tmp/libtifiles2-1.1.1/missing --run aclocal-1.10
ALLOCA = 
AMTAR = ${SHELL} /tmp/libtifiles2-1.1.1/missing --run tar
AR = ar
AS = as
AUTOCONF = ${SHELL} /tmp/libtifiles2-1.1.1/missing --run autoconf
AUTOHEADER = ${SHELL} /tmp/libtifiles2-1.1.1/missing --run autoheader
AUTOMAKE = ${SHELL} /tmp/libtifiles2-1.1.1/missing --run automake-1.10
AWK = mawk
BUILD_INCLUDED_LIBINTL = no
CATOBJEXT = .gmo
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -D__LINUX__ -fvisibility=hidden
CFLAG_VISIBILITY = -fvisibility=hidden
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = 
CXXDEPMODE = depmode=none
CXXFLAGS = 
CYGPATH_W = echo
DATADIRNAME = share
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = dlltool
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
F77 = 
FFLAGS = 
GENCAT = gencat
GLIBC2 = yes
GLIBC21 = yes
GLIB_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
GLIB_LIBS = -lglib-2.0  
GMSGFMT = /usr/bin/msgfmt
GMSGFMT_015 = /usr/bin/msgfmt
GREP = /bin/grep
HAVE_ASPRINTF = 1
HAVE_POSIX_PRINTF = 1
HAVE_SNPRINTF = 1
HAVE_VISIBILITY = 1
HAVE_WPRINTF = 0
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INSTOBJEXT = .mo
INTLBISON = bison
INTLLIBS = 
INTLOBJS = 
INTL_LIBTOOL_SUFFIX_PREFIX = 
INTL_MACOSX_LIBS = 
LDFLAGS = 
LIBICONV = 
LIBINTL = 
LIBMULTITHREAD = -lpthread
LIBOBJS = 
LIBPTH = 
LIBS = -lz 
LIBTHREAD = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBZ = -lz 
LN_S = ln -s
LTLIBICONV = 
LTLIBINTL = 
LTLIBMULTITHREAD = -lpthread
LTLIBOBJS = 
LTLIBPTH = 
LTLIBTHREAD = 
LT_LIBVERSION = 5:1:0
MAINT = #
MAKEINFO = ${SHELL} /tmp/libtifiles2-1.1.1/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
MSGFMT = /usr/bin/msgfmt
MSGFMT_015 = /usr/bin/msgfmt
MSGMERGE = /usr/bin/msgmerge
OBJDUMP = objdump
OBJEXT = o
PACKAGE = libtifiles2
PACKAGE_BUGREPORT = tilp-users@lists.sourceforge.net
PACKAGE_NAME = libtifiles2
PACKAGE_STRING = libtifiles2 1.1.1
PACKAGE_TARNAME = libtifiles2
PACKAGE_VERSION = 1.1.1
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
POSUB = po
PRI_MACROS_BROKEN = 0
RANLIB = ranlib
RC = windres
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
TFDOCGEN = yes
TICONV_CFLAGS = -I/usr/include/tilp2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
TICONV_LIBS = -lticonv -lglib-2.0  
USE_INCLUDED_LIBINTL = no
USE_NLS = yes
VERSION = 1.1.1
WOE32DLL = no
XGETTEXT = /usr/bin/xgettext
XGETTEXT_015 = /usr/bin/xgettext
abs_builddir = /tmp/libtifiles2-1.1.1/build/mingw
abs_srcdir = /tmp/libtifiles2-1.1.1/build/mingw
abs_top_builddir = /tmp/libtifiles2-1.1.1
abs_top_srcdir = /tmp/libtifiles2-1.1.1
ac_ct_CC = gcc
ac_ct_CXX = 
ac_ct_F77 = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = $(SHELL) /tmp/libtifiles2-1.1.1/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_builddir = ../..
top_srcdir = ../..
BASE = tifiles2
EXTRA_DIST = $(BASE).rc
#noinst_DATA = $(BASE)-rc.o
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  build/mingw/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  build/mingw/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: # $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(DATA)
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libtool mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic

dvi: dvi-am

dvi-am:

html: html-am

info: info-am

info-am:

install-data-am:

install-dvi: install-dvi-am

install-exec-am:

install-html: install-html-am

install-info: install-info-am

install-man:

install-pdf: install-pdf-am

install-ps: install-ps-am

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am:

.MAKE: install-am install-strip

.PHONY: all all-am check check-am clean clean-generic clean-libtool \
	distclean distclean-generic distclean-libtool distdir dvi \
	dvi-am html html-am info info-am install install-am \
	install-data install-data-am install-dvi install-dvi-am \
	install-exec install-exec-am install-html install-html-am \
	install-info install-info-am install-man install-pdf \
	install-pdf-am install-ps install-ps-am install-strip \
	installcheck installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-generic \
	mostlyclean-libtool pdf pdf-am ps ps-am uninstall uninstall-am

RC	?= windres

#all: $(BASE)-rc.o

#$(BASE)-rc.o : $(BASE).rc
#	$(RC) $(BASE).rc $@
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

## libtifiles 1.1.2

=== build/mingw/Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
-# Makefile.in generated by automake 1.10 from Makefile.am.
+# Makefile.in generated by automake 1.10.1 from Makefile.am.
 # build/mingw/Makefile.  Generated from Makefile.in by configure.
 
 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
-# 2003, 2004, 2005, 2006  Free Software Foundation, Inc.
+# 2003, 2004, 2005, 2006, 2007, 2008  Free Software Foundation, Inc.
 # This Makefile.in is free software; the Free Software Foundation
 # gives unlimited permission to copy and/or distribute it,
 # with or without modifications, as long as this notice is preserved.
@@ -30,8 +30,8 @@
 NORMAL_UNINSTALL = :
 PRE_UNINSTALL = :
 POST_UNINSTALL = :
-build_triplet = x86_64-unknown-linux-gnu
-host_triplet = x86_64-unknown-linux-gnu
+build_triplet = i686-pc-linux-gnu
+host_triplet = i686-pc-linux-gnu
 subdir = build/mingw
 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
@@ -45,32 +45,28 @@
 DIST_SOURCES =
 DATA = $(noinst_DATA)
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = ${SHELL} /tmp/libtifiles2-1.1.1/missing --run aclocal-1.10
-ALLOCA = 
-AMTAR = ${SHELL} /tmp/libtifiles2-1.1.1/missing --run tar
+ACLOCAL = ${SHELL} /tmp/tifiles2/missing --run aclocal-1.10
+AMTAR = ${SHELL} /tmp/tifiles2/missing --run tar
 AR = ar
 AS = as
-AUTOCONF = ${SHELL} /tmp/libtifiles2-1.1.1/missing --run autoconf
-AUTOHEADER = ${SHELL} /tmp/libtifiles2-1.1.1/missing --run autoheader
-AUTOMAKE = ${SHELL} /tmp/libtifiles2-1.1.1/missing --run automake-1.10
+AUTOCONF = ${SHELL} /tmp/tifiles2/missing --run autoconf
+AUTOHEADER = ${SHELL} /tmp/tifiles2/missing --run autoheader
+AUTOMAKE = ${SHELL} /tmp/tifiles2/missing --run automake-1.10
 AWK = mawk
-BUILD_INCLUDED_LIBINTL = no
-CATOBJEXT = .gmo
 CC = gcc
 CCDEPMODE = depmode=gcc3
 CFLAGS = -g -O2 -D__LINUX__ -fvisibility=hidden
-CFLAG_VISIBILITY = -fvisibility=hidden
 CPP = gcc -E
 CPPFLAGS = 
 CXX = g++
-CXXCPP = 
-CXXDEPMODE = depmode=none
-CXXFLAGS = 
+CXXCPP = g++ -E
+CXXDEPMODE = depmode=gcc3
+CXXFLAGS = -g -O2
 CYGPATH_W = echo
-DATADIRNAME = share
 DEFS = -DHAVE_CONFIG_H
 DEPDIR = .deps
 DLLTOOL = dlltool
+DSYMUTIL = 
 ECHO = echo
 ECHO_C = 
 ECHO_N = -n
@@ -79,86 +75,69 @@
 EXEEXT = 
 F77 = 
 FFLAGS = 
-GENCAT = gencat
-GLIBC2 = yes
-GLIBC21 = yes
+GETTEXT_MACRO_VERSION = 0.17
 GLIB_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
 GLIB_LIBS = -lglib-2.0  
 GMSGFMT = /usr/bin/msgfmt
 GMSGFMT_015 = /usr/bin/msgfmt
 GREP = /bin/grep
-HAVE_ASPRINTF = 1
-HAVE_POSIX_PRINTF = 1
-HAVE_SNPRINTF = 1
-HAVE_VISIBILITY = 1
-HAVE_WPRINTF = 0
 INSTALL = /usr/bin/install -c
 INSTALL_DATA = ${INSTALL} -m 644
 INSTALL_PROGRAM = ${INSTALL}
 INSTALL_SCRIPT = ${INSTALL}
 INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
-INSTOBJEXT = .mo
-INTLBISON = bison
 INTLLIBS = 
-INTLOBJS = 
-INTL_LIBTOOL_SUFFIX_PREFIX = 
 INTL_MACOSX_LIBS = 
 LDFLAGS = 
-LIBICONV = 
+LIBICONV = -liconv
 LIBINTL = 
-LIBMULTITHREAD = -lpthread
 LIBOBJS = 
-LIBPTH = 
 LIBS = -lz 
-LIBTHREAD = 
 LIBTOOL = $(SHELL) $(top_builddir)/libtool
 LIBZ = -lz 
 LN_S = ln -s
-LTLIBICONV = 
+LTLIBICONV = -liconv
 LTLIBINTL = 
-LTLIBMULTITHREAD = -lpthread
 LTLIBOBJS = 
-LTLIBPTH = 
-LTLIBTHREAD = 
-LT_LIBVERSION = 5:1:0
+LT_LIBVERSION = 5:2:0
 MAINT = #
-MAKEINFO = ${SHELL} /tmp/libtifiles2-1.1.1/missing --run makeinfo
+MAKEINFO = ${SHELL} /tmp/tifiles2/missing --run makeinfo
 MKDIR_P = /bin/mkdir -p
 MSGFMT = /usr/bin/msgfmt
 MSGFMT_015 = /usr/bin/msgfmt
 MSGMERGE = /usr/bin/msgmerge
+NMEDIT = 
 OBJDUMP = objdump
 OBJEXT = o
 PACKAGE = libtifiles2
 PACKAGE_BUGREPORT = tilp-users@lists.sourceforge.net
 PACKAGE_NAME = libtifiles2
-PACKAGE_STRING = libtifiles2 1.1.1
+PACKAGE_STRING = libtifiles2 1.1.2
 PACKAGE_TARNAME = libtifiles2
-PACKAGE_VERSION = 1.1.1
+PACKAGE_VERSION = 1.1.2
 PATH_SEPARATOR = :
 PKG_CONFIG = /usr/bin/pkg-config
 POSUB = po
-PRI_MACROS_BROKEN = 0
 RANLIB = ranlib
 RC = windres
+SED = /bin/sed
 SET_MAKE = 
 SHELL = /bin/sh
 STRIP = strip
 TFDOCGEN = yes
-TICONV_CFLAGS = -I/usr/include/tilp2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
-TICONV_LIBS = -lticonv -lglib-2.0  
-USE_INCLUDED_LIBINTL = no
+TICONV_CFLAGS = -I/usr/local/include/tilp2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
+TICONV_LIBS = -L/usr/local/lib -lticonv -lglib-2.0  
 USE_NLS = yes
-VERSION = 1.1.1
-WOE32DLL = no
+VERSION = 1.1.2
 XGETTEXT = /usr/bin/xgettext
 XGETTEXT_015 = /usr/bin/xgettext
-abs_builddir = /tmp/libtifiles2-1.1.1/build/mingw
-abs_srcdir = /tmp/libtifiles2-1.1.1/build/mingw
-abs_top_builddir = /tmp/libtifiles2-1.1.1
-abs_top_srcdir = /tmp/libtifiles2-1.1.1
+XGETTEXT_EXTRA_OPTIONS = 
+abs_builddir = /tmp/tifiles2/build/mingw
+abs_srcdir = /tmp/tifiles2/build/mingw
+abs_top_builddir = /tmp/tifiles2
+abs_top_srcdir = /tmp/tifiles2
 ac_ct_CC = gcc
-ac_ct_CXX = 
+ac_ct_CXX = g++
 ac_ct_F77 = 
 am__include = include
 am__leading_dot = .
@@ -166,26 +145,26 @@
 am__tar = ${AMTAR} chof - "$$tardir"
 am__untar = ${AMTAR} xf -
 bindir = ${exec_prefix}/bin
-build = x86_64-unknown-linux-gnu
+build = i686-pc-linux-gnu
 build_alias = 
-build_cpu = x86_64
+build_cpu = i686
 build_os = linux-gnu
-build_vendor = unknown
+build_vendor = pc
 builddir = .
 datadir = ${datarootdir}
 datarootdir = ${prefix}/share
 docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
 dvidir = ${docdir}
 exec_prefix = ${prefix}
-host = x86_64-unknown-linux-gnu
+host = i686-pc-linux-gnu
 host_alias = 
-host_cpu = x86_64
+host_cpu = i686
 host_os = linux-gnu
-host_vendor = unknown
+host_vendor = pc
 htmldir = ${docdir}
 includedir = ${prefix}/include
 infodir = ${datarootdir}/info
-install_sh = $(SHELL) /tmp/libtifiles2-1.1.1/install-sh
+install_sh = $(SHELL) /tmp/tifiles2/install-sh
 libdir = ${exec_prefix}/lib
 libexecdir = ${exec_prefix}/libexec
 localedir = ${datarootdir}/locale

## libtifiles 1.1.6

=== build/mingw/Makefile ===
# Makefile.in generated by automake 1.11.6 from Makefile.am.
# build/mingw/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
# Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




am__make_dryrun = \
  { \
    am__dry=no; \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        echo 'am--echo: ; @echo "AM"  OK' | $(MAKE) -f - 2>/dev/null \
          | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
      *) \
        for am__flg in $$MAKEFLAGS; do \
          case $$am__flg in \
            *=*|--*) ;; \
            *n*) am__dry=yes; break;; \
          esac; \
        done;; \
    esac; \
    test $$am__dry = yes; \
  }
pkgdatadir = $(datadir)/libtifiles2
pkgincludedir = $(includedir)/libtifiles2
pkglibdir = $(libdir)/libtifiles2
pkglibexecdir = $(libexecdir)/libtifiles2
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = i686-w64-mingw32
subdir = build/mingw
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/gettext.m4 \
	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/intlmacosx.m4 \
	$(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
	$(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
	$(top_srcdir)/m4/progtest.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
DATA = $(noinst_DATA)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/debrouxl/tilp/libtifiles/trunk/missing --run aclocal-1.11
AMTAR = $${TAR-tar}
AR = i686-w64-mingw32-ar
ARCHIVE_CFLAGS = -I/home/debrouxl/lpg/depsprefix/include  
ARCHIVE_LIBS = -L/home/debrouxl/lpg/depsprefix/lib -larchive  
AS = i686-w64-mingw32-as
AUTOCONF = ${SHELL} /home/debrouxl/tilp/libtifiles/trunk/missing --run autoconf
AUTOHEADER = ${SHELL} /home/debrouxl/tilp/libtifiles/trunk/missing --run autoheader
AUTOMAKE = ${SHELL} /home/debrouxl/tilp/libtifiles/trunk/missing --run automake-1.11
AWK = gawk
CC = i686-w64-mingw32-gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -Os -g3 -Wall -W -Wno-unused-parameter -Wshadow -Wwrite-strings -Wredundant-decls -Werror=declaration-after-statement -Werror=implicit-function-declaration -D_FORTIFY_SOURCE=2 -D__WIN32__ -D__MINGW32__ -mms-bitfields
CPP = i686-w64-mingw32-gcc -E
CPPFLAGS = -I/home/debrouxl/lpg/deps/gtk-win32/include -I/usr/i686-w64-mingw32/include/ddk -I/home/debrouxl/lpg/depsprefix/include
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = i686-w64-mingw32-dlltool
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = .exe
FGREP = /bin/grep -F
GETTEXT_MACRO_VERSION = 0.17
GLIB_CFLAGS = -I/target/include/glib-2.0 -I/target/lib/glib-2.0/include  
GLIB_LIBS = -L/target/lib -lglib-2.0 -lintl  
GMSGFMT = /usr/bin/msgfmt
GMSGFMT_015 = /usr/bin/msgfmt
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INTLLIBS = /home/debrouxl/lpg/deps/gtk-win32/lib/libintl.dll.a -L/home/debrouxl/lpg/deps/gtk-win32/lib
INTL_MACOSX_LIBS = 
LD = /usr/bin/i686-w64-mingw32-ld
LDFLAGS = -L/home/debrouxl/lpg/deps/gtk-win32/lib -I/home/debrouxl/lpg/depsprefix/lib
LIBICONV = /home/debrouxl/lpg/deps/gtk-win32/lib/libiconv.dll.a -L/home/debrouxl/lpg/deps/gtk-win32/lib
LIBINTL = /home/debrouxl/lpg/deps/gtk-win32/lib/libintl.dll.a -L/home/debrouxl/lpg/deps/gtk-win32/lib
LIBOBJS =  ${LIBOBJDIR}lstat$U.o
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBICONV = -L/home/debrouxl/lpg/deps/gtk-win32/lib -liconv -R/home/debrouxl/lpg/deps/gtk-win32/lib
LTLIBINTL = -L/home/debrouxl/lpg/deps/gtk-win32/lib -lintl -R/home/debrouxl/lpg/deps/gtk-win32/lib
LTLIBOBJS =  ${LIBOBJDIR}lstat$U.lo
LT_LIBVERSION = 9:2:0
MAINT = #
MAKEINFO = ${SHELL} /home/debrouxl/tilp/libtifiles/trunk/missing --run makeinfo
MANIFEST_TOOL = :
MKDIR_P = /bin/mkdir -p
MSGFMT = /usr/bin/msgfmt
MSGFMT_015 = /usr/bin/msgfmt
MSGMERGE = /usr/bin/msgmerge
NM = /usr/bin/i686-w64-mingw32-nm -B
NMEDIT = 
OBJDUMP = i686-w64-mingw32-objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = libtifiles2
PACKAGE_BUGREPORT = tilp-users@lists.sourceforge.net
PACKAGE_NAME = libtifiles2
PACKAGE_STRING = libtifiles2 1.1.6
PACKAGE_TARNAME = libtifiles2
PACKAGE_URL = 
PACKAGE_VERSION = 1.1.6
PATH_SEPARATOR = :
PKG_CONFIG = /home/debrouxl/bin/i686-w64-mingw32-pkg-config
PKG_CONFIG_LIBDIR = /home/debrouxl/lpg/pkgconfig
PKG_CONFIG_PATH = /home/debrouxl/lpg/packages/lib/pkgconfig:/home/debrouxl/lpg/deps/gtk-win32/lib/pkgconfig:/home/debrouxl/lpg/depsprefix/lib/pkgconfig:/home/Lionel_Debroux/lib/pkgconfig:
POSUB = po
RANLIB = i686-w64-mingw32-ranlib
RC = i686-w64-mingw32-windres
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = i686-w64-mingw32-strip
TFDOCGEN = yes
TICONV_CFLAGS = -I/home/debrouxl/lpg/packages/include/tilp2 -I/target/include/glib-2.0 -I/target/lib/glib-2.0/include  
TICONV_LIBS = -L/home/debrouxl/lpg/packages/lib -L/target/lib -lticonv -lglib-2.0 -lintl  
USE_NLS = yes
VERSION = 1.1.6
XGETTEXT = /usr/bin/xgettext
XGETTEXT_015 = /usr/bin/xgettext
XGETTEXT_EXTRA_OPTIONS = 
abs_builddir = /home/debrouxl/tilp/libtifiles/trunk/build/mingw
abs_srcdir = /home/debrouxl/tilp/libtifiles/trunk/build/mingw
abs_top_builddir = /home/debrouxl/tilp/libtifiles/trunk
abs_top_srcdir = /home/debrouxl/tilp/libtifiles/trunk
ac_ct_AR = 
ac_ct_CC = 
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = i686-w64-mingw32
host_alias = i686-w64-mingw32
host_cpu = i686
host_os = mingw32
host_vendor = w64
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/debrouxl/tilp/libtifiles/trunk/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /home/debrouxl/lpg/packages
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../../
top_builddir = ../..
top_srcdir = ../..
BASE = tifiles2
EXTRA_DIST = $(BASE).rc
noinst_DATA = $(BASE)-rc.o
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu build/mingw/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu build/mingw/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: # $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(DATA)
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	if test -z '$(STRIP)'; then \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	      install; \
	else \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
	fi
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libtool mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am:

install-dvi: install-dvi-am

install-dvi-am:

=== debian/changelog ===
libtifiles (1.1.6-4) unstable; urgency=medium

  * Bump Standards-Version to 3.9.8 (no changes needed).
  * Switch to secure URI for vcs-field.

 -- Andreas B. Mundt <andi@debian.org>  Fri, 02 Dec 2016 19:17:26 +0300

libtifiles (1.1.6-3) unstable; urgency=medium

  * Add libarchive-dev to dependencies of libtifiles-dev (LP: #1265311).
    Thanks to Sam Segers <sam.sgrs@gmail.com>.

 -- Andreas B. Mundt <andi@debian.org>  Sun, 02 Feb 2014 00:01:30 +0100

libtifiles (1.1.6-2) unstable; urgency=medium

  * Use dh-autoreconf to fix FTBFS on ppc64el (closes: #734219), thanks to
    Logan Rosen <logan@ubuntu.com>.
  * Bump Standards-Version to 3.9.5 (no changes needed).

 -- Andreas B. Mundt <andi@debian.org>  Sat, 01 Feb 2014 09:59:10 +0100

libtifiles (1.1.6-1) unstable; urgency=low

  * Team maintained in Debian-Science now (closes: #678835, #678837).
  * New upstream release in cooperation with Albert Huang
    <alberth.debian@gmail.com>, thanks!
  * Create debug package to provide debugging symbols.
  * Add support for multiarch.
  * Add symbols file.
  * Add 'debian/watch' to enable upstream release tracking.
  * Bump versions of libti* dependencies.
  * Switch to packaging format 3.0 (quilt), bump 'debian/compat' to 9.
  * Bump Standards-Version to 3.9.4.

 -- Andreas B. Mundt <andi@debian.org>  Fri, 09 Aug 2013 22:22:35 +0200

libtifiles (1.1.1-1) unstable; urgency=low

  * Initial release. (Closes: #505818)

 -- Krzysztof Burghardt <krzysztof@burghardt.pl>  Sun, 17 May 2009 12:58:11 +0200

=== debian/control ===
Source: libtifiles
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas B. Mundt <andi@debian.org>
Build-Depends: debhelper (>= 9.0.0),
               dh-autoreconf,
               gettext,
               libarchive-dev,
               libglib2.0-dev,
               libticonv-dev (>= 1.1.4),
               pkg-config,
               tfdocgen,
               zlib1g-dev
Standards-Version: 3.9.8
Section: libs
Homepage: http://lpg.ticalc.org/prj_tilp/
Vcs-Git: git://anonscm.debian.org/debian-science/packages/libtifiles.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=debian-science/packages/libtifiles.git

Package: libtifiles-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libarchive-dev,
         libglib2.0-dev,
         libticonv-dev,
         libtifiles2-9 (= ${binary:Version}),
         pkg-config,
         zlib1g-dev,
         ${misc:Depends}
Description: Texas Instruments calculator files library [development files]
 The libtifiles is a library providing support for operations on Texas
 Instruments calculators files. All formats for all calculators are supported
 read/write ; the library is also able to manipulate the group files, which
 means it is able to group and ungroup variables into such group files.
 .
 This package provides the development files for the library, static library,
 required headers and documentation.

Package: libtifiles2-9
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Replaces: libtifiles2-5
Conflicts: libtifiles2-5
Description: Texas Instruments calculator files library
 The libtifiles is a library providing support for operations on Texas
 Instruments calculators files. All formats for all calculators are supported
 read/write ; the library is also able to manipulate the group files, which
 means it is able to group and ungroup variables into such group files.
 .
 This package provides the shared library.

Package: libtifiles2-9-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: libtifiles2-9 (= ${binary:Version}), ${misc:Depends}
Description: Texas Instruments calculator files library [debugging symbols]
 The libtifiles is a library providing support for operations on Texas
 Instruments calculators files. All formats for all calculators are supported
 read/write ; the library is also able to manipulate the group files, which
 means it is able to group and ungroup variables into such group files.
 .
 This package provides the debugging symbols for the library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@  --with autoreconf

override_dh_clean:
	dh_clean --exclude=build/mingw/tifiles2.rc~

override_dh_strip:
	dh_strip --dbg-package=libtifiles2-9-dbg

.PHONY: override_dh_strip

=== debian/watch ===
version=3
http://sf.net/tilp/libtifiles2-(.+)\.tar\.bz2

## libtifiles 1.1.7

=== debian/changelog ===
libtifiles (1.1.7-2) unstable; urgency=medium

  * Implement autopkgtest.  Run upstream checks linked to installed libs.
  * Install upstream changelog.

 -- Andreas B. Mundt <andi@debian.org>  Tue, 22 May 2018 19:35:47 +0300

libtifiles (1.1.7-1) unstable; urgency=medium

  * New upstream version 1.1.7
  * Update Vcs-* links to 'salsa.debian.org'.
  * Bump Standards-Version to 4.1.4 (no changes needed).
  * Bump compatibility level to 11, remove -dbg package entry.
  * Update dependencies and 'rules'.
  * Bump SONAME and update symbols file.
  * DEP-5 copyright and update 'debian/watch'.

 -- Andreas B. Mundt <andi@debian.org>  Fri, 18 May 2018 14:13:57 +0300

=== debian/control ===
Source: libtifiles
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas B. Mundt <andi@debian.org>
Build-Depends: debhelper (>= 11.0.0),
               gettext,
               libarchive-dev,
               libglib2.0-dev,
               libticonv-dev (>= 1.1.5),
               pkg-config,
               tfdocgen,
               zlib1g-dev
Standards-Version: 4.1.4
Section: libs
Homepage: http://lpg.ticalc.org/prj_tilp/
Vcs-Git: https://salsa.debian.org/science-team/libtifiles.git
Vcs-Browser: https://salsa.debian.org/science-team/libtifiles

Package: libtifiles-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libarchive-dev,
         libglib2.0-dev,
         libticonv-dev,
         libtifiles2-10 (= ${binary:Version}),
         pkg-config,
         zlib1g-dev,
         ${misc:Depends}
Description: Texas Instruments calculator files library [development files]
 The libtifiles is a library providing support for operations on Texas
 Instruments calculators files. All formats for all calculators are supported
 read/write ; the library is also able to manipulate the group files, which
 means it is able to group and ungroup variables into such group files.
 .
 This package provides the development files for the library, static library,
 required headers and documentation.

Package: libtifiles2-10
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Replaces: libtifiles2-9
Conflicts: libtifiles2-9
Description: Texas Instruments calculator files library
 The libtifiles is a library providing support for operations on Texas
 Instruments calculators files. All formats for all calculators are supported
 read/write ; the library is also able to manipulate the group files, which
 means it is able to group and ungroup variables into such group files.
 .
 This package provides the shared library.

=== debian/tests/control ===
Tests: make-check
Depends: @builddeps@, libtifiles-dev
Restrictions: allow-stderr

=== debian/watch ===
version=4
http://sf.net/tilp/libtifiles2-(.+)\.tar\.bz2

## libtifiles 1.1.8~git20220301.8ffa244

=== debian/changelog ===
libtifiles (1.1.8~git20220301.8ffa244-1) unstable; urgency=medium

  * Prepare for salsa-ci.
  * Update upstream homepage URL.
  * Document upstream sources and tarball handling.
  * New upstream version 1.1.8~git20220301.8ffa244
  * Bump Standards-Version and dh compat level (no changes needed).
  * Fix missing docs and some lintian complaints.
  * Bump SONAME and update symbols file.

 -- Andreas B. Mundt <andi@debian.org>  Thu, 11 Aug 2022 19:18:30 +0200

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,18 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Andreas B. Mundt <andi@debian.org>
-Build-Depends: debhelper (>= 11.0.0),
+Build-Depends: debhelper-compat (= 13),
                gettext,
                libarchive-dev,
                libglib2.0-dev,
-               libticonv-dev (>= 1.1.5),
+               libticonv-dev (>= 1.1.6~git20220301.8ffa244),
                pkg-config,
                tfdocgen,
                zlib1g-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Section: libs
-Homepage: http://lpg.ticalc.org/prj_tilp/
+Homepage: https://github.com/debrouxl/tilibs
 Vcs-Git: https://salsa.debian.org/science-team/libtifiles.git
 Vcs-Browser: https://salsa.debian.org/science-team/libtifiles
 
@@ -23,7 +24,7 @@
 Depends: libarchive-dev,
          libglib2.0-dev,
          libticonv-dev,
-         libtifiles2-10 (= ${binary:Version}),
+         libtifiles2-11 (= ${binary:Version}),
          pkg-config,
          zlib1g-dev,
          ${misc:Depends}
@@ -36,13 +37,13 @@
  This package provides the development files for the library, static library,
  required headers and documentation.
 
-Package: libtifiles2-10
+Package: libtifiles2-11
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Replaces: libtifiles2-9
-Conflicts: libtifiles2-9
+Replaces: libtifiles2-10
+Conflicts: libtifiles2-10
 Description: Texas Instruments calculator files library
  The libtifiles is a library providing support for operations on Texas
  Instruments calculators files. All formats for all calculators are supported

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=1.1.8~git%cd.%h" \
https://github.com/debrouxl/tilibs/ \
HEAD

## libtifiles 1.1.8~git20221211.4646a7b

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.9)

project(libtifiles2
        VERSION     1.1.8
        LANGUAGES   CXX)

file(GLOB HEADER_FILES src/*.h)
set(SRC_FILES
        ${HEADER_FILES}
        src/cert.cc
        src/comments.cc
        src/error.cc
        src/files8x.cc
        src/files9x.cc
        src/filesnsp.cc
        src/filesxx.cc
        src/filetypes.cc
        src/grouped.cc
        src/intelhex.cc
        src/misc.cc
        src/rwfile.cc
        src/tifiles.cc
        src/tigroup.cc
        src/type2str.cc
        src/types68k.cc
        src/types83p.cc
        src/typesnsp.cc
        src/typesoldz80.cc
        src/typesxx.cc
        src/ve_fp.cc)

set(PUBLIC_HEADERS
        src/tifiles.h
        src/export2.h
        src/files8x.h
        src/files9x.h
        src/types73.h
        src/types82.h
        src/types83.h
        src/types83p.h
        src/types84p.h
        src/types85.h
        src/types86.h
        src/types89.h
        src/types89t.h
        src/types92.h
        src/types92p.h
        src/typesnsp.h
        src/typesv2.h
        src/typesxx.h)

# external deps lookup
pkg_check_modules(DEPS REQUIRED glib-2.0 libarchive ticonv zlib)

try_static_libs_if_needed()

# auto-creation of all targets with flags etc., alongside with internal deps
create_targets_both_lib_types(tifiles2 ticonv)

set_target_properties(tifiles2_shared PROPERTIES VERSION 11.0.2 SOVERSION 11)

if(TRY_STATIC_LIBS)
    find_package(BZip2 REQUIRED) # Needed for some reason
    target_link_libraries(tifiles2_shared ${BZIP2_LIBRARIES})
endif()

# Takes care of the i18n po/pot/gmo/mo files
if(ENABLE_NLS)
    i18n_mo_from_po_pot()
    add_dependencies(tifiles2_objlib potfiles_1)
endif()

# internal deps
add_dependencies(tifiles2_objlib buildandinstall_libticonv)

# public export define
target_compile_definitions(tifiles2_objlib PUBLIC TIFILES_EXPORTS)

# tests
add_subdirectory(tests)

=== tests/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.9)

project(libtifiles2-tests
        LANGUAGES   C CXX)

add_executable(torture_tifiles torture_tifiles.c)
add_executable(test_tifiles_2 test_tifiles_2.cc)

pkg_check_modules(DEPS REQUIRED glib-2.0)

foreach(tar torture_tifiles test_tifiles_2)
    target_compile_options(${tar} PRIVATE ${DEPS_CFLAGS})

    target_include_directories(${tar} PRIVATE
        ${CMAKE_SOURCE_DIR}/libticonv/trunk/src
        ${CMAKE_SOURCE_DIR}/libtifiles/trunk/src)

    target_link_libraries(${tar} ticonv_shared tifiles2_shared "${DEPS_LDFLAGS}" ${DEPS_LIBRARIES})
endforeach()

set(builddirlibpaths "${CMAKE_BINARY_DIR}/libticonv/trunk:${CMAKE_BINARY_DIR}/libtifiles/trunk")

add_custom_target(tifiles2_check
    COMMAND ${CMAKE_COMMAND} -E env LD_LIBRARY_PATH="${builddirlibpaths}" ${CMAKE_CURRENT_BINARY_DIR}/torture_tifiles
    DEPENDS torture_tifiles
    COMMENT "Run the tifiles2 torture tests"
    EXCLUDE_FROM_ALL
)

=== debian/changelog ===
libtifiles (1.1.8~git20221211.4646a7b-2) unstable; urgency=medium

  * Drop versioned constraint on libticonv-dev as suggested by Debian Janitor.

 -- Andreas B. Mundt <andi@debian.org>  Fri, 30 Dec 2022 19:37:40 +0100

libtifiles (1.1.8~git20221211.4646a7b-1) unstable; urgency=medium

  * Extract sources for our package from upstream git automatically.
  * Bump Standards-Version to 4.6.2 (no changes needed).
  * New upstream version 1.1.8~git20221211.4646a7b
  * Update dependency.

 -- Andreas B. Mundt <andi@debian.org>  Fri, 30 Dec 2022 09:16:04 +0100

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
                gettext,
                libarchive-dev,
                libglib2.0-dev,
-               libticonv-dev (>= 1.1.6~git20220301.8ffa244),
+               libticonv-dev,
                pkg-config,
                tfdocgen,
                zlib1g-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Section: libs
 Homepage: https://github.com/debrouxl/tilibs

=== debian/tests/control ===
Tests: make-check
Depends: libtifiles-dev, @builddeps@
Restrictions: allow-stderr

## libtifiles 1.1.8~git20230505.27586cc

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.9)
+cmake_minimum_required(VERSION 3.12)
 
 project(libtifiles2
         VERSION     1.1.8
@@ -50,8 +50,7 @@
         src/typesxx.h)
 
 # external deps lookup
-pkg_check_modules(DEPS REQUIRED glib-2.0 libarchive ticonv zlib)
-
+pkg_check_modules(DEPS REQUIRED glib-2.0 libarchive zlib)
 try_static_libs_if_needed()
 
 # auto-creation of all targets with flags etc., alongside with internal deps
@@ -59,7 +58,11 @@
 
 set_target_properties(tifiles2_shared PROPERTIES VERSION 11.0.2 SOVERSION 11)
 
-if(TRY_STATIC_LIBS)
+# there are relocation issues when linking BZip2 and zlib on linux:
+#   /usr/bin/ld: /usr/lib/x86_64-linux-gnu/libbz2.a(bzlib.o): relocation R_X86_64_PC32 against symbol `BZ2_crc32Table'
+#   /usr/bin/ld: /usr/lib/x86_64-linux-gnu/libz.a(deflate.o): relocation R_X86_64_PC32 against symbol `z_errmsg'
+#                can not be used when making a shared object; recompile with -fPIC
+if(TRY_STATIC_LIBS AND NOT LINUX)
     find_package(BZip2 REQUIRED) # Needed for some reason
     target_link_libraries(tifiles2_shared ${BZIP2_LIBRARIES})
 endif()
@@ -70,9 +73,6 @@
     add_dependencies(tifiles2_objlib potfiles_1)
 endif()
 
-# internal deps
-add_dependencies(tifiles2_objlib buildandinstall_libticonv)
-
 # public export define
 target_compile_definitions(tifiles2_objlib PUBLIC TIFILES_EXPORTS)

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.9)
+cmake_minimum_required(VERSION 3.12)
 
 project(libtifiles2-tests
         LANGUAGES   C CXX)
@@ -6,7 +6,7 @@
 add_executable(torture_tifiles torture_tifiles.c)
 add_executable(test_tifiles_2 test_tifiles_2.cc)
 
-pkg_check_modules(DEPS REQUIRED glib-2.0)
+pkg_check_modules(DEPS REQUIRED glib-2.0 libarchive zlib)
 
 foreach(tar torture_tifiles test_tifiles_2)
     target_compile_options(${tar} PRIVATE ${DEPS_CFLAGS})
@@ -15,7 +15,12 @@
         ${CMAKE_SOURCE_DIR}/libticonv/trunk/src
         ${CMAKE_SOURCE_DIR}/libtifiles/trunk/src)
 
-    target_link_libraries(${tar} ticonv_shared tifiles2_shared "${DEPS_LDFLAGS}" ${DEPS_LIBRARIES})
+    target_link_directories(${tar} PRIVATE
+        ${DEPS_LIBRARY_DIRS}
+        ${CMAKE_BINARY_DIR}/libticonv/trunk
+        ${CMAKE_BINARY_DIR}/libtifiles/trunk)
+
+    target_link_libraries(${tar} ${DEPS_LIBRARIES} ticonv_shared tifiles2_shared)
 endforeach()
 
 set(builddirlibpaths "${CMAKE_BINARY_DIR}/libticonv/trunk:${CMAKE_BINARY_DIR}/libtifiles/trunk")

=== debian/changelog ===
libtifiles (1.1.8~git20230505.27586cc-1) unstable; urgency=medium

  * New upstream version 1.1.8~git20230505.27586cc
  * Remove files not cleaned up properly. (Closes: #1048649).

 -- Andreas B. Mundt <andi@debian.org>  Wed, 16 Aug 2023 09:09:42 +0200

## libtifiles 1.1.8~git20231126.f67c953

=== debian/changelog ===
libtifiles (1.1.8~git20231126.f67c953-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 19:47:02 +0000

libtifiles (1.1.8~git20231126.f67c953-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:30:34 +0000

libtifiles (1.1.8~git20231126.f67c953-1) unstable; urgency=medium

  * New upstream version 1.1.8~git20231126.f67c953

 -- Andreas B. Mundt <andi@debian.org>  Fri, 05 Jan 2024 12:23:37 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: libtifiles
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Andreas B. Mundt <andi@debian.org>
 Build-Depends: debhelper-compat (= 13),
                gettext,
